=== debian/changelog ===
libaec (0.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #805936)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Nov 2015 12:42:30 +0000
