=== debian/control ===
Source: libaec
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), dh-buildinfo, autoconf, automake,
 dh-autoreconf, unzip
Standards-Version: 3.9.6
Homepage: https://www.dkrz.de/redmine/projects/aec
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libaec.git

Package: libaec0
Section: libs
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Adaptive Entropy Coding library
 Libaec provides fast lossless compression of 1 up to 32 bit wide
 signed or unsigned integers (samples). The library achieves best
 results for low entropy data as often encountered in space imaging
 instrument data or numerical model output from weather or climate
 simulations. While floating point representations are not directly
 supported, they can also be efficiently coded by grouping exponents
 and mantissa.
 .
 Libaec implements Golomb Rice coding as defined in the Space Data
 System Standard documents 121.0-B-2 [1] and 120.0-G-2[2].

Package: libsz2
Section: libs
Architecture: any
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Adaptive Entropy Coding library - SZIP
 Libaec provides fast lossless compression of 1 up to 32 bit wide
 signed or unsigned integers (samples). 
 Libaec implements Golomb Rice coding as defined in the Space Data
 System Standard documents 121.0-B-2 [1] and 120.0-G-2[2].
 .
 This package provides a free drop-in replacement for the SZIP
 compression library.

Package: libaec-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libaec0 (= ${binary:Version}), libsz2 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the Adaptive Entropy Coding library
 Libaec provides fast lossless compression of 1 up to 32 bit wide
 signed or unsigned integers (samples). The library achieves best
 results for low entropy data as often encountered in space imaging
 instrument data or numerical model output from weather or climate
 simulations. While floating point representations are not directly
 supported, they can also be efficiently coded by grouping exponents
 and mantissa.

Package: libaec-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Adaptive Entropy Coding library (utilies)
 Libaec provides fast lossless compression of 1 up to 32 bit wide
 signed or unsigned integers (samples).
 .
 This package provides the aec compression utility.
