=== debian/changelog ===
libaec (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * Minor version moves libaec.0.0.3 -> 0.0.8
  * Change homepage to gitlab.dkrz.de
  * Standards-Verson: 4.1.3; no change required
  * Point VCS to salsa.debian.org
  * Drop Priority: extra. Now optional

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 14:06:21 +0000

libaec (0.3.2-2) unstable; urgency=medium

  * Standards-Version: 4.0.0; no changes required
  * DH_COMPAT now 10
  * Remove redundant auto*, dh-autoreconf build-deps
  * Add debian/gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 15:17:29 +0100

libaec (0.3.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Jan 2016 13:06:14 +0000
