=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, autoconf, automake,
- dh-autoreconf, unzip
-Standards-Version: 3.9.6
-Homepage: https://www.dkrz.de/redmine/projects/aec
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/libaec.git
+Build-Depends: debhelper (>= 10), 
+ dh-buildinfo, 
+ unzip
+Standards-Version: 4.1.3
+Homepage:  https://gitlab.dkrz.de/k202009/libaec
+Vcs-Browser: https://salsa.debian.org:/science-team/libaec.git
+Vcs-Git: https://salsa.debian.org:/science-team/libaec.git
 
 Package: libaec0
 Section: libs
@@ -46,7 +48,6 @@
 Package: libaec-dev
 Section: libdevel
 Architecture: any
-Priority: extra
 Depends: ${misc:Depends}, libaec0 (= ${binary:Version}), libsz2 (= ${binary:Version})
 Multi-Arch: same
 Description: Development files for the Adaptive Entropy Coding library
