## libaec 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,15 +5,21 @@
 include(CheckCSourceCompiles)
 include(CheckSymbolExists)
 include(cmake/macros.cmake)
-project(libaec)
+
+option(AEC_FUZZING "Enable build of fuzzing targets" OFF)
+if(AEC_FUZZING)
+  project(libaec C CXX)
+else(AEC_FUZZING)
+  project(libaec C)
+endif(AEC_FUZZING)
+
 set(libaec_VERSION_MAJOR 1)
 set(libaec_VERSION_MINOR 0)
-set(libaec_VERSION_PATCH 2)
+set(libaec_VERSION_PATCH 4)
 set(CMAKE_BUILD_TYPE Release)
 enable_testing()
 
 check_include_files(malloc.h HAVE_MALLOC_H)
-check_include_files(stdint.h HAVE_STDINT_H)
 test_big_endian(WORDS_BIGENDIAN)
 check_clzll(HAVE_DECL___BUILTIN_CLZLL)
 if(NOT HAVE_DECL___BUILTIN_CLZLL)
@@ -53,8 +59,6 @@
 
 add_subdirectory(src)
 add_subdirectory(tests)
-
-option(AEC_FUZZING "Enable build of fuzzing targets" OFF)
 if(AEC_FUZZING)
   add_subdirectory(fuzzing)
 endif()
