=== debian/changelog ===
libaec (1.0.4-1) unstable; urgency=medium

  * New upstream release
  * Minor version move libaec 0.0.8 -> 0.0.10
  * Standards-Version: 4.4.0
  * Use debhelper-compat (=12)
  * Add d/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jul 2019 13:54:12 +0100
