=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), 
+Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
  unzip
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage:  https://gitlab.dkrz.de/k202009/libaec
 Vcs-Browser: https://salsa.debian.org:/science-team/libaec.git
 Vcs-Git: https://salsa.debian.org:/science-team/libaec.git
