=== debian/changelog ===
libaec (1.0.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Sep 2021 08:55:12 +0100

libaec (1.0.5-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Aug 2021 05:07:04 +0100

libaec (1.0.5-1) experimental; urgency=medium

  * New upstream release
  * Move to debhelper-compat level 13
  * Standards-Version: 4.5.1
  * Move to DEP-14 branch names, update gpb.conf and Vcs-Git
  * libaec now 0.0.11

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jun 2021 09:19:17 +0100

libaec (1.0.4-3) unstable; urgency=medium

  * Team upload.
  * Drop the Breaks again, co-installability of hdf5 and gdal libraries from
    buster and bullseye has been restored.
  * Drop redundant fields and options.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Jun 2021 12:03:25 +0200

libaec (1.0.4-2) unstable; urgency=medium

  * Team upload.
  * libsz2: Add 'Breaks: libhdf5-103, libhdf5-mpich-103, libhdf5-openmpi-103,
    libnetcdf13, libgdal20' for smoother upgrades from buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Apr 2021 16:54:22 +0200
