=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
- dh-buildinfo, 
+Build-Depends: debhelper-compat (= 13),
+ dh-buildinfo,
  unzip
-Standards-Version: 4.4.0
-Homepage:  https://gitlab.dkrz.de/k202009/libaec
-Vcs-Browser: https://salsa.debian.org:/science-team/libaec.git
-Vcs-Git: https://salsa.debian.org:/science-team/libaec.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://gitlab.dkrz.de/k202009/libaec
+Vcs-Browser: https://salsa.debian.org/science-team/libaec
+Vcs-Git: https://salsa.debian.org/science-team/libaec.git -b debian/latest
 
 Package: libaec0
 Section: libs
 Architecture: any
-Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -32,13 +32,12 @@
 Package: libsz2
 Section: libs
 Architecture: any
-Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Adaptive Entropy Coding library - SZIP
  Libaec provides fast lossless compression of 1 up to 32 bit wide
- signed or unsigned integers (samples). 
+ signed or unsigned integers (samples).
  Libaec implements Golomb Rice coding as defined in the Space Data
  System Standard documents 121.0-B-2 [1] and 120.0-G-2[2].
  .
@@ -60,10 +59,9 @@
  and mantissa.
 
 Package: libaec-tools
-Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Adaptive Entropy Coding library (utilies)
+Description: Adaptive Entropy Coding library (utilities)
  Libaec provides fast lossless compression of 1 up to 32 bit wide
  signed or unsigned integers (samples).
  .
