=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,13 @@
 add_library(aec OBJECT
   encode.c
   encode_accessors.c
-  decode.c)
+  decode.c
+  vector.c)
 
 target_include_directories(aec
   PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>"
-  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>"
+  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../include>"
   "$<INSTALL_INTERFACE:include>")
 
 # Create both static and shared aec library.
@@ -21,10 +22,10 @@
 target_link_libraries(aec_shared PUBLIC aec)
 set_target_properties(aec_shared
   PROPERTIES
-  VERSION 0.0.12
+  VERSION 0.1.2
   SOVERSION 0
   OUTPUT_NAME aec
-  PUBLIC_HEADER ../include/libaec.h)
+  PUBLIC_HEADER ${CMAKE_CURRENT_BINARY_DIR}/../include/libaec.h)
 
 # Wrapper for compatibility with szip
 add_library(sz OBJECT sz_compat.c)
@@ -46,11 +47,9 @@
   OUTPUT_NAME $<IF:$<BOOL:${MSVC}>,szip,sz>
   PUBLIC_HEADER ../include/szlib.h)
 
-# Simple client for testing and benchmarking.
-# Can also be used stand-alone
-add_executable(aec_client aec.c)
-set_target_properties(aec_client PROPERTIES OUTPUT_NAME aec)
-target_link_libraries(aec_client PUBLIC aec)
+# Simple executable for testing and benchmarking.
+add_executable(graec graec.c)
+target_link_libraries(graec aec)
 
 include(GNUInstallDirs)
 if(UNIX)
@@ -69,6 +68,7 @@
     COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/benc.sh
     ${CMAKE_CURRENT_SOURCE_DIR}/../data/typical.rz
     COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/bdec.sh
+<<<<<<< HEAD
     DEPENDS aec_client utime)
 endif()
 
@@ -78,6 +78,9 @@
     FILES aec.1
     DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
     COMPONENT doc)
+=======
+    DEPENDS graec utime)
+>>>>>>> upstream/1.1.1
 endif()
 
-install(TARGETS aec_static aec_shared sz_static sz_shared aec_client)
+install(TARGETS aec_static aec_shared sz_static sz_shared)
