=== debian/changelog ===
libaec (1.1.2-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:49:57 +0200

libaec (1.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2023 09:18:51 +0100

libaec (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * No longer ship tools pkg; now considered internal-only by upstream.
  * libaec.so.0.0.1 -> libaec.so.0.1.1
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Oct 2023 07:23:50 +0100
