=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libaec
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  unzip
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.dkrz.de/k202009/libaec
 Vcs-Browser: https://salsa.debian.org/science-team/libaec
 Vcs-Git: https://salsa.debian.org/science-team/libaec.git -b debian/latest
@@ -57,12 +58,3 @@
  simulations. While floating point representations are not directly
  supported, they can also be efficiently coded by grouping exponents
  and mantissa.
-
-Package: libaec-tools
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Adaptive Entropy Coding library (utilities)
- Libaec provides fast lossless compression of 1 up to 32 bit wide
- signed or unsigned integers (samples).
- .
- This package provides the aec compression utility.
