=== debian/changelog ===
libaec (1.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Mar 2024 08:50:51 +0000
