=== debian/changelog ===
libaec (1.1.4-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 15:43:15 +0100

libaec (1.1.4-1) experimental; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.2; no changes required
  * Drop B-D on dh-buildinfo
  * Drop obsolete pre-depends

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 15:42:54 +0100
