=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libaec
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-buildinfo,
  unzip
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gitlab.dkrz.de/k202009/libaec
 Vcs-Browser: https://salsa.debian.org/science-team/libaec
 Vcs-Git: https://salsa.debian.org/science-team/libaec.git -b debian/latest
@@ -15,7 +15,6 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Adaptive Entropy Coding library
  Libaec provides fast lossless compression of 1 up to 32 bit wide
@@ -33,7 +32,6 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Adaptive Entropy Coding library - SZIP
  Libaec provides fast lossless compression of 1 up to 32 bit wide
